Subject: bug#13382: propagating a coding setting across source files

From: Andy Wingo <[email-masked]>
Date: Mon, 07 Jan 2013 22:28:45 +0100

Hi,

Forwarding this one to bug-guile to make a bug report.  I guess we need
a (default-source-file-encoding) parameter.

Andy

On Tue 17 Jan 2012 00:41, [email-masked] (Ludovic Courtès) writes:

> Andy Wingo <[email-masked]> skribis:
>
>> On Sun 15 Jan 2012 22:51, [email-masked] (Ludovic Courtès) writes:
>>
>>> Mike Gran <[email-masked]> skribis:
>>>
>>>> I tried to dig through the logic of this the other day, and I'm not
>>>> sure that your suggestion can work.  If "load" ends up calling
>>>> "primitive-load", then any file without a "coding:" line is UTF-8.
>>>> %default-port-encoding doesn't enter in to it.
>>>
>>> Right.  So what Sven is asking for, propagating source file encoding
>>> programmatically, is not possible AFAIK.  Sven: you really need to add
>>> the “coding:” cookie to each and every file.
>>
>> Is possible to provide such an interface?
>
> Maybe a ‘guild compile’ option?
>
> Ludo’.

-- 
http://wingolog.org/